summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2016-10-05 14:54:40 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2016-10-05 14:56:47 +0200
commitec0aa72333d565b9f40e15f37a53eaf475101d8d (patch)
tree9a2e98b170a0fe4ead4f27e09914ba49a7b5c023 /dev-java/netbeans-php
parentdev-java/netbeans-nb: version bump to version 8.2 (diff)
downloadgentoo-ec0aa72333d565b9f40e15f37a53eaf475101d8d.tar.gz
gentoo-ec0aa72333d565b9f40e15f37a53eaf475101d8d.tar.bz2
gentoo-ec0aa72333d565b9f40e15f37a53eaf475101d8d.zip
dev-java/netbeans-php: version bump to version 8.2
Package-Manager: portage-2.3.1
Diffstat (limited to 'dev-java/netbeans-php')
-rw-r--r--dev-java/netbeans-php/Manifest3
-rw-r--r--dev-java/netbeans-php/netbeans-php-8.2.ebuild127
2 files changed, 130 insertions, 0 deletions
diff --git a/dev-java/netbeans-php/Manifest b/dev-java/netbeans-php/Manifest
index a9434cd6a6e..b2687b2eec6 100644
--- a/dev-java/netbeans-php/Manifest
+++ b/dev-java/netbeans-php/Manifest
@@ -1,8 +1,11 @@
DIST 0702230EB3354A1687E4496D73A94F33A1E343BD-phpdocdesc.zip 38814 SHA256 b49d6683562098839b7303da877242d0c017ae217db5c442cce33cf1559e733f SHA512 75773b7067a0ec98263bdd2e9fdda77ae05e415b19b12e828ca92085266380f19980ffcdfdfac5a7f284fd2292b3af47ee93938b034f77397d8ade129fec6076 WHIRLPOOL 9a6080379a2c30d6add51c141b8126abc786c2e060a32ed0e377503002a6a1087b99605fae0dfe30bcf60f43fcef65fff4fc30858e15488f932c9b7caef224e9
DIST 3D6AF75EA20D715887DAF47A3F063864EF0814C1-predefined_vars.zip 4593 SHA256 156a35bf95b0353f05e91f1f8f591b5f8124d99cbdf380e32d03f07f889f2146 SHA512 66efd8c6f586c501e19d0b1f04ab212c955ffbd67bf489a9c60b37e0f93733c75b86b01462cf78ba8877b4baff723659d9753458aeb8a0150fbddd4d81ab1b01 WHIRLPOOL 70e28e715335b3119c2c18f3b8736869d7aba4c08555ef5b20a5151eeaf79a8d4c4d94a20a283fa219a7d336c91fed84c86a7424b7a571d152e1fa2e59b37a86
+DIST 472A52636BE09823B4E5F707071B31FB990A7375-phpsigfiles.zip 510273 SHA256 a80b6270be0c471513ffc7c50033c0d1ea1783873aeb9d6838d15629a85efd4f SHA512 d28f46ff8cc1874108a9a2ef37b6e41b40df27cd36eb976e23d75ac2fac36dcd08f8a18a26d62126bd982724e747cdc9c344f8c25cf3cbeeec9194e0d4412341 WHIRLPOOL 39293580116637a761ecdce11297794d7c68e277c0c0d55e7946e9ca88d05706c464675fa45ef57334245d734fed3c4cf59c3824d9389145277b98263964abb7
DIST 73E9BC8A7AF36E0C95210F61A85AFEF212AEE1A9-phpsigfiles.zip 569711 SHA256 882dae2bc8063feedced946c364cf1f79b331090d78621a17353962c20f39359 SHA512 294c3ab28382476e08851293468c014212b50773c87aef478647dc60efec4979e7b82d513b779d52b51251fa9ae223e4b37cec4073386c3e768892a474e7abb1 WHIRLPOOL 1a2530a579c95796f14909d04007c276141fd5ca80153190b1888242c93afefa92588604ac5e64714df519e871a191d1ec97b1a7aedf979d59e9a2dc7572d971
DIST BFB982F9B33E2F1A1766C212C8208793F9B7E77C-phpsigfiles.zip 555036 SHA256 283bb0d36a480408874f19e9d3394f48bb95478328c43aede9c6a32bf865cc2c SHA512 fbd5dc93d03a193f33d94cb88e319fb8585f862633c5a26d6e09cee61cdac77dab847ded4fe060b09746f6f55d42e3544014b54e37ebbe15c8102cafe0e46659 WHIRLPOOL 1065b0154e03f395d2524e477d3462e8d21e65e6daaed34ff698cdff8edd998b8ca33647c236364d7005eea5d3ef94cf29bdd6a96b57318dcd14a42b9790a0a1
DIST netbeans-8.0.2-201411181905-src.zip 196585461 SHA256 581f80d3c2e8d87a0f007dd3f358ce0534a0bb2e4b3312cd6c8c7263713bc530 SHA512 9533de5b3c45e4a5b025213dd5602344e16d024e0cdb013f207ac3c7a9d8e63da19279f97910ad136777d75780c620224953f2974070d5c9833d1d6ef3fd427c WHIRLPOOL 2e45e83309743df167ddd1d58068848166d01ef6d9eec99ddf72b9ba7664cb182a04d6420ab03a9270842b3cd9a16a161c1eebb66953ef09158d8d521fb96516
DIST netbeans-8.0.2-build.xml.patch.bz2 2678 SHA256 cf120f7fd8b4ad40e9abdcb09e7763fd93b4acef04ff0365e18f178706ea83bb SHA512 b61adf29bcb139207241c68513724f352420078583ca5e6d7856a4dd335ad36b7d05311eb6e14ff1c568aaf090de4ca083c32f6db1dec0b6f50d66a388bbedf7 WHIRLPOOL fb4d63329aa450a1b387fa45b59fa3c18d1a1ca8ecf9443111a3056d409a6d928d15dae275e9c564558f4b2abd54cc0f8db2df653ac432d9f58f8ef4dd747dff
DIST netbeans-8.1-201510222201-src.zip 208692973 SHA256 e8dd9b73304bc7e546150629f7555624b405e8a7af2cd5d616e7a91a0655f463 SHA512 c3ed9e8c9444b1685e3ed7e1a2525d8be43953994aebed962d39f8eae35b6ab0dcab0093b7eeb287e3c74e0620ceded1956ef93205837bb7749db49f53c1c285 WHIRLPOOL 7ff7c3441dbc8f1ebd6f5441c8371ef0ef392f45eef65e06efec3201f417e228fb32879df83ec23ae61898840eadcde43caa66d54182bf3aae2f44c683916268
DIST netbeans-8.1-build.xml.patch.bz2 2671 SHA256 b5384db6533d41c7d3fdaffd3cd296d156ac99f0a026e3d74c4ac5b5d388a70f SHA512 1dd5dcf02fd81691b0f9c531470379138484dcbc271f65ba53a3844a1e697719e47cb98c90f92f92c5980a577d27370efc800297525f62da7211393ea0a18915 WHIRLPOOL c77621b5f4eea9e688d9714be9268d05f7c1e792d9d46d3a082418d8c1cb52c35f76d59f0befddc73f30a0e0e12c0af25b4b31c1cb69b68dd90e48638d7da509
+DIST netbeans-8.2-201609300101-src.zip 217356974 SHA256 5a7141176fe655807f04bdde12073116a77c1844e4ca7a071d95930b7cd7d5ac SHA512 d0499489dcd9383f719209997fd5518ea93ad5c2f727005f074a351a4adc7f8708ebff972a4bff4572e2ba9237b14c7a24b7fb1f89100e33012e14404f0336e7 WHIRLPOOL 378db0807a616205fee2623f1c1ada6284ecfc85badb06d68e56e91fbedbc4f73af3ce6e4e8eb8bdb9504d15cf20cdc2a30d5f9cad0c72329791f1a53803ca0e
+DIST netbeans-8.2-build.xml.patch.bz2 2678 SHA256 d0b395111c04e82aeae2bf99eea17fb5b3275dab92939164602ad27569d73cb2 SHA512 a287681acc0771445f9389b22ca6fd855393c0b9e8885680d13c9157aa37b215162aac6f958d0831dc64a55fc21a391fdee13c3ab9a97ad416929c6a4710b619 WHIRLPOOL 0807ec60843a7e3a232fed52c91303ef47693fcdd364d5e12f2507ea6f073df4b18b0708efc92cce93580d4963cbefb85fa0c3962363542687bdc1e5e73bbb6c
diff --git a/dev-java/netbeans-php/netbeans-php-8.2.ebuild b/dev-java/netbeans-php/netbeans-php-8.2.ebuild
new file mode 100644
index 00000000000..ea75db6feb0
--- /dev/null
+++ b/dev-java/netbeans-php/netbeans-php-8.2.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="Netbeans PHP Cluster"
+HOMEPAGE="http://netbeans.org/projects/php"
+SLOT="8.2"
+SOURCE_URL="http://download.netbeans.org/netbeans/8.2/final/zip/netbeans-8.2-201609300101-src.zip"
+SRC_URI="${SOURCE_URL}
+ http://dev.gentoo.org/~fordfrog/distfiles/netbeans-8.2-build.xml.patch.bz2
+ http://hg.netbeans.org/binaries/0702230EB3354A1687E4496D73A94F33A1E343BD-phpdocdesc.zip
+ http://hg.netbeans.org/binaries/472A52636BE09823B4E5F707071B31FB990A7375-phpsigfiles.zip
+ http://hg.netbeans.org/binaries/3D6AF75EA20D715887DAF47A3F063864EF0814C1-predefined_vars.zip"
+LICENSE="|| ( CDDL GPL-2-with-linking-exception )"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+S="${WORKDIR}"
+
+CDEPEND="~dev-java/netbeans-extide-${PV}
+ ~dev-java/netbeans-ide-${PV}
+ ~dev-java/netbeans-platform-${PV}
+ ~dev-java/netbeans-webcommon-${PV}
+ ~dev-java/netbeans-websvccommon-${PV}
+ dev-java/javacup:0"
+DEPEND=">=virtual/jdk-1.7
+ app-arch/unzip
+ ${CDEPEND}
+ dev-java/javahelp:0"
+RDEPEND="|| ( virtual/jdk:1.7 virtual/jdk:1.8 )
+ ${CDEPEND}"
+
+INSTALL_DIR="/usr/share/${PN}-${SLOT}"
+
+EANT_BUILD_XML="nbbuild/build.xml"
+EANT_BUILD_TARGET="rebuild-cluster"
+EANT_EXTRA_ARGS="-Drebuild.cluster.name=nb.cluster.php -Dext.binaries.downloaded=true -Dpermit.jdk8.builds=true"
+EANT_FILTER_COMPILER="ecj-3.3 ecj-3.4 ecj-3.5 ecj-3.6 ecj-3.7"
+JAVA_PKG_BSFIX="off"
+
+src_unpack() {
+ unpack $(basename ${SOURCE_URL})
+
+ einfo "Deleting bundled jars..."
+ find -name "*.jar" -type f -delete
+
+ unpack netbeans-8.2-build.xml.patch.bz2
+
+ pushd "${S}" >/dev/null || die
+ ln -s "${DISTDIR}"/0702230EB3354A1687E4496D73A94F33A1E343BD-phpdocdesc.zip php.phpdoc.documentation/external/phpdocdesc.zip || die
+ ln -s "${DISTDIR}"/472A52636BE09823B4E5F707071B31FB990A7375-phpsigfiles.zip php.project/external/phpsigfiles.zip || die
+ ln -s "${DISTDIR}"/3D6AF75EA20D715887DAF47A3F063864EF0814C1-predefined_vars.zip php.editor/external/predefined_vars.zip || die
+ popd >/dev/null || die
+}
+
+src_prepare() {
+ einfo "Deleting bundled class files..."
+ find -name "*.class" -type f | xargs rm -vf
+
+ epatch netbeans-8.2-build.xml.patch
+
+ # Support for custom patches
+ if [ -n "${NETBEANS9999_PATCHES_DIR}" -a -d "${NETBEANS9999_PATCHES_DIR}" ] ; then
+ local files=`find "${NETBEANS9999_PATCHES_DIR}" -type f`
+
+ if [ -n "${files}" ] ; then
+ einfo "Applying custom patches:"
+
+ for file in ${files} ; do
+ epatch "${file}"
+ done
+ fi
+ fi
+
+ einfo "Symlinking external libraries..."
+ java-pkg_jar-from --build-only --into javahelp/external javahelp jhall.jar jhall-2.0_05.jar
+ java-pkg_jar-from --into libs.javacup/external javacup javacup.jar java-cup-11a.jar
+
+ einfo "Linking in other clusters..."
+ mkdir "${S}"/nbbuild/netbeans || die
+ pushd "${S}"/nbbuild/netbeans >/dev/null || die
+
+ ln -s /usr/share/netbeans-extide-${SLOT} extide || die
+ cat /usr/share/netbeans-extide-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.extide.built
+
+ ln -s /usr/share/netbeans-ide-${SLOT} ide || die
+ cat /usr/share/netbeans-ide-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.ide.built
+
+ ln -s /usr/share/netbeans-platform-${SLOT} platform || die
+ cat /usr/share/netbeans-platform-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.platform.built
+
+ ln -s /usr/share/netbeans-webcommon-${SLOT} webcommon || die
+ cat /usr/share/netbeans-webcommon-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.webcommon.built
+
+ ln -s /usr/share/netbeans-websvccommon-${SLOT} websvccommon || die
+ cat /usr/share/netbeans-websvccommon-${SLOT}/moduleCluster.properties >> moduleCluster.properties || die
+ touch nb.cluster.websvccommon.built
+
+ popd >/dev/null || die
+
+ java-pkg-2_src_prepare
+}
+
+src_install() {
+ pushd nbbuild/netbeans/php >/dev/null || die
+
+ insinto ${INSTALL_DIR}
+
+ grep -E "/php$" ../moduleCluster.properties > "${D}"/${INSTALL_DIR}/moduleCluster.properties || die
+
+ doins -r *
+
+ popd >/dev/null || die
+
+ local instdir="${D}"/${INSTALL_DIR}/modules/ext
+ pushd "${instdir}" >/dev/null || die
+ rm java-cup-11a.jar && java-pkg_jar-from --into "${instdir}" javacup javacup.jar java-cup-11a.jar
+ popd >/dev/null || die
+
+ dosym ${INSTALL_DIR} /usr/share/netbeans-nb-${SLOT}/php
+}